package cn.com.tenlion.systembase.pojo.dtos.homicidesuspect;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: HomicideSuspectDTO
 * @Description: 命案犯罪嫌疑人
 * @Author: CodeFactory
 * @Date: 2021-10-19 10:59:12
 * @Version: 3.0
 **/
@ApiModel
public class HomicideSuspectDTO {

    @ApiModelProperty(name = "homicideSuspectId", value = "主键UUID")
    private String homicideSuspectId;
    @ApiModelProperty(name = "homicideId", value = "案件ID")
    private String homicideId;
    @ApiModelProperty(name = "homicideName", value = "案件名称")
    private String homicideName;
    @ApiModelProperty(name = "homicideCode", value = "案件编号")
    private String homicideCode;
    @ApiModelProperty(name = "cardCode", value = "证件代码字典表ID")
    private String cardCode;
    @ApiModelProperty(name = "cardCodeName", value = "证件代码名称")
    private String cardCodeName;
    @ApiModelProperty(name = "cardCodeCode", value = "证件代码编码")
    private String cardCodeCode;
    @ApiModelProperty(name = "cardNum", value = "证件号码")
    private String cardNum;
    @ApiModelProperty(name = "name", value = "姓名")
    private String name;
    @ApiModelProperty(name = "beforeName", value = "曾用名")
    private String beforeName;
    @ApiModelProperty(name = "sex", value = "性别字典表ID")
    private String sex;
    @ApiModelProperty(name = "sexName", value = "性别名称")
    private String sexName;
    @ApiModelProperty(name = "sexCode", value = "性别编码")
    private String sexCode;
    @ApiModelProperty(name = "birthday", value = "出生日期")
    private String birthday;
    @ApiModelProperty(name = "nationality", value = "国籍(地区)字典表ID")
    private String nationality;
    @ApiModelProperty(name = "nationalityName", value = "国籍(地区)名称")
    private String nationalityName;
    @ApiModelProperty(name = "nationalityCode", value = "国籍(地区)编码")
    private String nationalityCode;
    @ApiModelProperty(name = "nation", value = "民族字典表ID")
    private String nation;
    @ApiModelProperty(name = "nationName", value = "民族名称")
    private String nationName;
    @ApiModelProperty(name = "nationCode", value = "民族编码")
    private String nationCode;
    @ApiModelProperty(name = "nativePlace", value = "籍贯字典表ID")
    private String nativePlace;
    @ApiModelProperty(name = "nativePlaceName", value = "籍贯名称")
    private String nativePlaceName;
    @ApiModelProperty(name = "nativePlaceCode", value = "籍贯编码")
    private String nativePlaceCode;
    @ApiModelProperty(name = "marital", value = "婚姻状况字典表ID")
    private String marital;
    @ApiModelProperty(name = "maritalName", value = "婚姻状况名称")
    private String maritalName;
    @ApiModelProperty(name = "maritalCode", value = "婚姻状况编码")
    private String maritalCode;
    @ApiModelProperty(name = "politicalOutlook", value = "政治面貌字典表ID")
    private String politicalOutlook;
    @ApiModelProperty(name = "politicalOutlookName", value = "政治面貌名称")
    private String politicalOutlookName;
    @ApiModelProperty(name = "politicalOutlookCode", value = "政治面貌编码")
    private String politicalOutlookCode;
    @ApiModelProperty(name = "education", value = "学历字典表ID")
    private String education;
    @ApiModelProperty(name = "educationName", value = "学历名称")
    private String educationName;
    @ApiModelProperty(name = "educationCode", value = "学历编码")
    private String educationCode;
    @ApiModelProperty(name = "religious", value = "宗教信仰字典表ID")
    private String religious;
    @ApiModelProperty(name = "religiousName", value = "宗教信仰名称")
    private String religiousName;
    @ApiModelProperty(name = "religiousCode", value = "宗教信仰编码")
    private String religiousCode;
    @ApiModelProperty(name = "workType", value = "职业类别字典表ID")
    private String workType;
    @ApiModelProperty(name = "workTypeName", value = "字典表名称")
    private String workTypeName;
    @ApiModelProperty(name = "workTypeCode", value = "字典表编码")
    private String workTypeCode;
    @ApiModelProperty(name = "work", value = "职业")
    private String work;
    @ApiModelProperty(name = "servicePremises", value = "服务处所")
    private String servicePremises;
    @ApiModelProperty(name = "householdRegister", value = "户籍地字典表ID")
    private String householdRegister;
    @ApiModelProperty(name = "householdRegisterName", value = "户籍地名称")
    private String householdRegisterName;
    @ApiModelProperty(name = "householdRegisterCode", value = "户籍地编码")
    private String householdRegisterCode;
    @ApiModelProperty(name = "householdRegisterAddress", value = "户籍门(楼)祥址")
    private String householdRegisterAddress;
    @ApiModelProperty(name = "currentResidence", value = "现住地字典表ID")
    private String currentResidence;
    @ApiModelProperty(name = "currentResidenceName", value = "现住地名称")
    private String currentResidenceName;
    @ApiModelProperty(name = "currentResidenceCode", value = "现住地编码")
    private String currentResidenceCode;
    @ApiModelProperty(name = "currentResidenceAddress", value = "现住门(楼)祥址")
    private String currentResidenceAddress;
    @ApiModelProperty(name = "isMental", value = "是否为严重精神障碍患者")
    private Integer isMental;
    @ApiModelProperty(name = "isJuveniles", value = "是否为未成年人")
    private Integer isJuveniles;
    @ApiModelProperty(name = "isTeenagers", value = "是否为青少年")
    private Integer isTeenagers;

    public String getHomicideSuspectId() {
        return homicideSuspectId == null ? "" : homicideSuspectId.trim();
    }

    public void setHomicideSuspectId(String homicideSuspectId) {
        this.homicideSuspectId = homicideSuspectId;
    }

    public String getHomicideId() {
        return homicideId == null ? "" : homicideId.trim();
    }

    public void setHomicideId(String homicideId) {
        this.homicideId = homicideId;
    }

    public String getHomicideName() {
        return homicideName == null ? "" : homicideName.trim();
    }

    public void setHomicideName(String homicideName) {
        this.homicideName = homicideName;
    }

    public String getHomicideCode() {
        return homicideCode == null ? "" : homicideCode.trim();
    }

    public void setHomicideCode(String homicideCode) {
        this.homicideCode = homicideCode;
    }

    public String getCardCode() {
        return cardCode == null ? "" : cardCode.trim();
    }

    public void setCardCode(String cardCode) {
        this.cardCode = cardCode;
    }

    public String getCardCodeName() {
        return cardCodeName == null ? "" : cardCodeName.trim();
    }

    public void setCardCodeName(String cardCodeName) {
        this.cardCodeName = cardCodeName;
    }

    public String getCardCodeCode() {
        return cardCodeCode == null ? "" : cardCodeCode.trim();
    }

    public void setCardCodeCode(String cardCodeCode) {
        this.cardCodeCode = cardCodeCode;
    }

    public String getCardNum() {
        return cardNum == null ? "" : cardNum.trim();
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum;
    }

    public String getName() {
        return name == null ? "" : name.trim();
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBeforeName() {
        return beforeName == null ? "" : beforeName.trim();
    }

    public void setBeforeName(String beforeName) {
        this.beforeName = beforeName;
    }

    public String getSex() {
        return sex == null ? "" : sex.trim();
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getSexName() {
        return sexName == null ? "" : sexName.trim();
    }

    public void setSexName(String sexName) {
        this.sexName = sexName;
    }

    public String getSexCode() {
        return sexCode == null ? "" : sexCode.trim();
    }

    public void setSexCode(String sexCode) {
        this.sexCode = sexCode;
    }

    public String getBirthday() {
        return birthday == null ? "" : birthday.trim();
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getNationality() {
        return nationality == null ? "" : nationality.trim();
    }

    public void setNationality(String nationality) {
        this.nationality = nationality;
    }

    public String getNationalityName() {
        return nationalityName == null ? "" : nationalityName.trim();
    }

    public void setNationalityName(String nationalityName) {
        this.nationalityName = nationalityName;
    }

    public String getNationalityCode() {
        return nationalityCode == null ? "" : nationalityCode.trim();
    }

    public void setNationalityCode(String nationalityCode) {
        this.nationalityCode = nationalityCode;
    }

    public String getNation() {
        return nation == null ? "" : nation.trim();
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getNationName() {
        return nationName == null ? "" : nationName.trim();
    }

    public void setNationName(String nationName) {
        this.nationName = nationName;
    }

    public String getNationCode() {
        return nationCode == null ? "" : nationCode.trim();
    }

    public void setNationCode(String nationCode) {
        this.nationCode = nationCode;
    }

    public String getNativePlace() {
        return nativePlace;
    }

    public void setNativePlace(String nativePlace) {
        this.nativePlace = nativePlace;
    }

    public String getNativePlaceName() {
        return nativePlaceName;
    }

    public void setNativePlaceName(String nativePlaceName) {
        this.nativePlaceName = nativePlaceName;
    }

    public String getNativePlaceCode() {
        return nativePlaceCode;
    }

    public void setNativePlaceCode(String nativePlaceCode) {
        this.nativePlaceCode = nativePlaceCode;
    }

    public String getMarital() {
        return marital == null ? "" : marital.trim();
    }

    public void setMarital(String marital) {
        this.marital = marital;
    }

    public String getMaritalName() {
        return maritalName == null ? "" : maritalName.trim();
    }

    public void setMaritalName(String maritalName) {
        this.maritalName = maritalName;
    }

    public String getMaritalCode() {
        return maritalCode == null ? "" : maritalCode.trim();
    }

    public void setMaritalCode(String maritalCode) {
        this.maritalCode = maritalCode;
    }

    public String getPoliticalOutlook() {
        return politicalOutlook == null ? "" : politicalOutlook.trim();
    }

    public void setPoliticalOutlook(String politicalOutlook) {
        this.politicalOutlook = politicalOutlook;
    }

    public String getPoliticalOutlookName() {
        return politicalOutlookName == null ? "" : politicalOutlookName.trim();
    }

    public void setPoliticalOutlookName(String politicalOutlookName) {
        this.politicalOutlookName = politicalOutlookName;
    }

    public String getPoliticalOutlookCode() {
        return politicalOutlookCode == null ? "" : politicalOutlookCode.trim();
    }

    public void setPoliticalOutlookCode(String politicalOutlookCode) {
        this.politicalOutlookCode = politicalOutlookCode;
    }

    public String getEducation() {
        return education == null ? "" : education.trim();
    }

    public void setEducation(String education) {
        this.education = education;
    }

    public String getEducationName() {
        return educationName == null ? "" : educationName.trim();
    }

    public void setEducationName(String educationName) {
        this.educationName = educationName;
    }

    public String getEducationCode() {
        return educationCode == null ? "" : educationCode.trim();
    }

    public void setEducationCode(String educationCode) {
        this.educationCode = educationCode;
    }

    public String getReligious() {
        return religious == null ? "" : religious.trim();
    }

    public void setReligious(String religious) {
        this.religious = religious;
    }

    public String getReligiousName() {
        return religiousName == null ? "" : religiousName.trim();
    }

    public void setReligiousName(String religiousName) {
        this.religiousName = religiousName;
    }

    public String getReligiousCode() {
        return religiousCode == null ? "" : religiousCode.trim();
    }

    public void setReligiousCode(String religiousCode) {
        this.religiousCode = religiousCode;
    }

    public String getWorkType() {
        return workType == null ? "" : workType.trim();
    }

    public void setWorkType(String workType) {
        this.workType = workType;
    }

    public String getWorkTypeName() {
        return workTypeName == null ? "" : workTypeName.trim();
    }

    public void setWorkTypeName(String workTypeName) {
        this.workTypeName = workTypeName;
    }

    public String getWorkTypeCode() {
        return workTypeCode == null ? "" : workTypeCode.trim();
    }

    public void setWorkTypeCode(String workTypeCode) {
        this.workTypeCode = workTypeCode;
    }

    public String getWork() {
        return work == null ? "" : work.trim();
    }

    public void setWork(String work) {
        this.work = work;
    }

    public String getServicePremises() {
        return servicePremises == null ? "" : servicePremises.trim();
    }

    public void setServicePremises(String servicePremises) {
        this.servicePremises = servicePremises;
    }

    public String getHouseholdRegister() {
        return householdRegister == null ? "" : householdRegister.trim();
    }

    public void setHouseholdRegister(String householdRegister) {
        this.householdRegister = householdRegister;
    }

    public String getHouseholdRegisterName() {
        return householdRegisterName == null ? "" : householdRegisterName.trim();
    }

    public void setHouseholdRegisterName(String householdRegisterName) {
        this.householdRegisterName = householdRegisterName;
    }

    public String getHouseholdRegisterCode() {
        return householdRegisterCode == null ? "" : householdRegisterCode.trim();
    }

    public void setHouseholdRegisterCode(String householdRegisterCode) {
        this.householdRegisterCode = householdRegisterCode;
    }

    public String getHouseholdRegisterAddress() {
        return householdRegisterAddress == null ? "" : householdRegisterAddress.trim();
    }

    public void setHouseholdRegisterAddress(String householdRegisterAddress) {
        this.householdRegisterAddress = householdRegisterAddress;
    }

    public String getCurrentResidence() {
        return currentResidence == null ? "" : currentResidence.trim();
    }

    public void setCurrentResidence(String currentResidence) {
        this.currentResidence = currentResidence;
    }

    public String getCurrentResidenceName() {
        return currentResidenceName == null ? "" : currentResidenceName.trim();
    }

    public void setCurrentResidenceName(String currentResidenceName) {
        this.currentResidenceName = currentResidenceName;
    }

    public String getCurrentResidenceCode() {
        return currentResidenceCode == null ? "" : currentResidenceCode.trim();
    }

    public void setCurrentResidenceCode(String currentResidenceCode) {
        this.currentResidenceCode = currentResidenceCode;
    }

    public String getCurrentResidenceAddress() {
        return currentResidenceAddress == null ? "" : currentResidenceAddress.trim();
    }

    public void setCurrentResidenceAddress(String currentResidenceAddress) {
        this.currentResidenceAddress = currentResidenceAddress;
    }

    public Integer getIsMental() {
        return isMental == null ? 0 : isMental;
    }

    public void setIsMental(Integer isMental) {
        this.isMental = isMental;
    }

    public Integer getIsJuveniles() {
        return isJuveniles == null ? 0 : isJuveniles;
    }

    public void setIsJuveniles(Integer isJuveniles) {
        this.isJuveniles = isJuveniles;
    }

    public Integer getIsTeenagers() {
        return isTeenagers == null ? 0 : isTeenagers;
    }

    public void setIsTeenagers(Integer isTeenagers) {
        this.isTeenagers = isTeenagers;
    }

}
